API Endpoint Reference / Printers
Read installed nozzle configuration and separate firmware reports
GET https://api.printhiv3d.com/v1/printers/{id}/nozzle-configurations
Operation ID readPrinterNozzleConfigurations. Requires the read API key scope.
Parameters
| Name | In | Type | Required | Description |
|---|
id | path | uuid | Yes | |
Responses
| Status | Description |
|---|
200 | Default Response |
200 response fields
| Field | Type | Required | Description |
|---|
positions | object[] | Yes | |
reportedAt | string | null | Yes | |
Example 200 response
{
"positions": [
{
"key": "single",
"name": "Nozzle",
"targetKey": "single",
"onToolhead": true,
"empty": false,
"illustration": "schematic",
"reported": {
"type": "Hardened steel",
"diameterMm": 0.4
},
"configured": null,
"access": {
"kind": "editable"
}
}
],
"reportedAt": "2026-11-13T08:00:00.000Z"
}